#
# spec file for package bea-stax
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define name            bea-stax
%define version         1.2.0
%define release         0.rc1.2jpp
%define section         free
Summary:        Streaming API for XML
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://dev2dev.bea.com/technologies/stax/index.jsp
Source0:        stax-src-1.2.0_rc1-dev.zip
Patch0:         bea-stax-target15.patch
Patch1:         bea-stax-gcj43-build.patch
Patch2:         bea-stax-gcj-build.patch

Name:           bea-stax
Version:        %{version}
Release:        35.3
BuildArch:      noarch
BuildRequires:  javapackages-tools
%if %defined suse_version
BuildRequires:  ant
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  unzip
#BuildRequires:  xerces-j2-bootstrap
#!BuildIgnore:  xerces-j2-bootstrap
BuildRequires:  xml-commons-apis-bootstrap
BuildRequires:  xml-commons-resolver-bootstrap
BuildRequires:  xml-commons-which-bootstrap
#!BuildIgnore: antlr antlr-java
#!BuildIgnore:  xerces-j2 xml-commons xml-commons-apis xml-commons-resolver xml-commons-which
#!BuildIgnore:  xml-commons-jaxp-1.3-apis
%endif
Requires:       %{name}-api = %{version}-%{release}
Requires:       javapackages-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Streaming API for XML (StAX) is a groundbreaking new Java API for
parsing and writing XML easily and efficiently.



%package api
Summary:        The StAX API
Group:          Development/Libraries/Java

%description api
Streaming API for XML



%{summary}

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -b .target15
%if %suse_version <= 1110
%patch1 -b .gcj43-build
%endif
%patch2 -b .gcj-build

%build
ant all

%install
# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 build/stax-api-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api-%{version}.jar
install -p -m 0644 build/stax-1.2.0_rc1-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ri-%{version}.jar
ln -s %{name}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
ln -s %{name}-ri-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ri.jar

%files
%defattr(-,root,root,-)
#%{_docdir}/%{name}-%{version}/BEA*.doc
#%{_docdir}/%{name}-%{version}/README.txt
#%{_datadir}/%{name}-%{version}
%{_javadir}/%{name}-ri-%{version}.jar
%{_javadir}/%{name}-ri.jar

%files api
%defattr(-,root,root,-)
%{_javadir}/%{name}-api-%{version}.jar
%{_javadir}/%{name}-api.jar

%changelog
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Thu Aug 22 2013 mvyskocil@suse.com
- don't build javadoc
* Mon Jan  7 2013 mvyskocil@suse.com
- remove xerces-j2-bootstrap depenency (bnc#789163)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Nov  8 2010 mvyskocil@suse.cz
- build ignore xml-commons-jaxp-1.3-apis
* Thu Sep  2 2010 mvyskocil@suse.cz
- ignore antlr(-java) to reduce build cycles
* Thu May 21 2009 mvyskocil@suse.cz
- fixed build under gcj44:
  * splitted uncompatible part of old gcj patch to gcj43 one
* Wed Oct  1 2008 mvyskocil@suse.cz
- rm of BuildRoot on install was removed
- avoid of another openjdk build cycle:
  - added an explicit BuildRequires on: xerces-j2-bootstrap,
  xml-commons-apis-bootstrap, xml-commons-resolver-bootstrap,
  xml-commons-which-bootstrap
  - and BuildIgnore on: xerces-j2, xml-commons, xml-commons-apis,
  xml-commons-resolver, xml-commons-which
* Fri Sep 12 2008 mvyskocil@suse.cz
- target=1.5 -source=1.5
- build with gcj
- remove a dot in summary to prevent of an rpmlint error
* Wed Mar 12 2008 anosek@suse.cz
- fixed Bea-stax contains a Sun proprietary copyright header (bnc#369318)
  - removed problematic file: src/javax/xml/namespace/QName.java
* Mon Mar 10 2008 anosek@suse.cz
- new package needed to build saxon8, initial version 1.2.0,
  based on the JPackage project
